OGRE: Ogre::TerrainMaterialGeneratorA::SM2Profile Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::TerrainMaterialGeneratorA::SM2Profile Class Reference

Shader model 2 profile target. More...

`#include <OgreTerrainMaterialGeneratorA.h>`

Inheritance diagram for Ogre::TerrainMaterialGeneratorA::SM2Profile:
[legend]

## Public Member Functions
| SM2Profile (TerrainMaterialGeneratorA *parent)
virtual | ~SM2Profile ()
MaterialPtr | generate (const Terrain *terrain)
| Generate / reuse a material for the terrain.
uint8 | getMaxLayers (const Terrain *terrain) const
| Get the number of layers supported.
PSSMShadowCameraSetup * | getReceiveDynamicShadowsPSSM () const
| Whether to use PSSM support dynamic texture shadows, and if so the settings to use (default 0).
bool | isLayerNormalMappingEnabled () const
| Whether to support normal mapping per layer in the shader (default true).
bool | isLayerOcclusionMappingEnabled () const
| Whether to support steep parallax mapping per layer in the shader (default true).
bool | isLayerParallaxMappingEnabled () const
| Whether to support parallax mapping per layer in the shader (default true).
bool | isLayerSpecularMappingEnabled () const
| Whether to support specular mapping per layer in the shader (default true).
void | setCompositeMapEnabled (bool enabled)
void | setLayerNormalMappingEnabled (bool enabled)
| Whether to support normal mapping per layer in the shader (default true).
void | setLayerParallaxMappingEnabled (bool enabled)
| Whether to support parallax mapping per layer in the shader (default true).
void | setLayerParallaxOcclusionMappingEnabled (bool enabled)
| Whether to support steep parallax mapping per layer in the shader (default true).
void | setLayerSpecularMappingEnabled (bool enabled)
| Whether to support specular mapping per layer in the shader (default true).
void | setLightmapEnabled (bool enabled)
void | setReceiveDynamicShadowsEnabled (bool enabled)
void | setReceiveDynamicShadowsLowLod (bool enabled)
void | setReceiveDynamicShadowsPSSM (PSSMShadowCameraSetup *pssmSettings)
| Whether to use PSSM support dynamic texture shadows, and if so the settings to use (default 0).
Public Member Functions inherited from Ogre::TerrainMaterialGenerator::Profile
virtual | ~Profile ()

## Detailed Description

Shader model 2 profile target.

## Constructor & Destructor Documentation

## ◆ SM2Profile()

Ogre::TerrainMaterialGeneratorA::SM2Profile::SM2Profile | ( | TerrainMaterialGeneratorA * | parent | ) |

References Ogre::TerrainMaterialGeneratorA::TerrainMaterialGeneratorA().

## ◆ ~SM2Profile()

virtual Ogre::TerrainMaterialGeneratorA::SM2Profile::~SM2Profile | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ generate()

MaterialPtr Ogre::TerrainMaterialGeneratorA::SM2Profile::generate | ( | const Terrain * | terrain | ) |

Generate / reuse a material for the terrain.

## ◆ getMaxLayers()

uint8 Ogre::TerrainMaterialGeneratorA::SM2Profile::getMaxLayers | ( | const Terrain * | terrain | ) | const

Get the number of layers supported.

## ◆ isLayerNormalMappingEnabled()

bool Ogre::TerrainMaterialGeneratorA::SM2Profile::isLayerNormalMappingEnabled | ( |  | ) | const
| inline

Whether to support normal mapping per layer in the shader (default true).

## ◆ setLayerNormalMappingEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setLayerNormalMappingEnabled | ( | bool | enabled | ) |

Whether to support normal mapping per layer in the shader (default true).

## ◆ isLayerParallaxMappingEnabled()

bool Ogre::TerrainMaterialGeneratorA::SM2Profile::isLayerParallaxMappingEnabled | ( |  | ) | const
| inline

Whether to support parallax mapping per layer in the shader (default true).

## ◆ setLayerParallaxMappingEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setLayerParallaxMappingEnabled | ( | bool | enabled | ) |

Whether to support parallax mapping per layer in the shader (default true).

## ◆ setLayerParallaxOcclusionMappingEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setLayerParallaxOcclusionMappingEnabled | ( | bool | enabled | ) |

Whether to support steep parallax mapping per layer in the shader (default true).

## ◆ isLayerOcclusionMappingEnabled()

bool Ogre::TerrainMaterialGeneratorA::SM2Profile::isLayerOcclusionMappingEnabled | ( |  | ) | const
| inline

Whether to support steep parallax mapping per layer in the shader (default true).

## ◆ isLayerSpecularMappingEnabled()

bool Ogre::TerrainMaterialGeneratorA::SM2Profile::isLayerSpecularMappingEnabled | ( |  | ) | const
| inline

Whether to support specular mapping per layer in the shader (default true).

## ◆ setLayerSpecularMappingEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setLayerSpecularMappingEnabled | ( | bool | enabled | ) |

Whether to support specular mapping per layer in the shader (default true).

## ◆ setReceiveDynamicShadowsPSSM()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setReceiveDynamicShadowsPSSM | ( | PSSMShadowCameraSetup * | pssmSettings | ) |

Whether to use PSSM support dynamic texture shadows, and if so the settings to use (default 0).

## ◆ getReceiveDynamicShadowsPSSM()

PSSMShadowCameraSetup * Ogre::TerrainMaterialGeneratorA::SM2Profile::getReceiveDynamicShadowsPSSM | ( |  | ) | const
| inline

Whether to use PSSM support dynamic texture shadows, and if so the settings to use (default 0).

## ◆ setLightmapEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setLightmapEnabled | ( | bool | enabled | ) |
| inline

## ◆ setCompositeMapEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setCompositeMapEnabled | ( | bool | enabled | ) |
| inline

## ◆ setReceiveDynamicShadowsEnabled()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setReceiveDynamicShadowsEnabled | ( | bool | enabled | ) |
| inline

## ◆ setReceiveDynamicShadowsLowLod()

void Ogre::TerrainMaterialGeneratorA::SM2Profile::setReceiveDynamicShadowsLowLod | ( | bool | enabled | ) |
| inline

The documentation for this class was generated from the following file:

- OgreTerrainMaterialGeneratorA.h